# Tolq::Parsers::Xliff

This parser parses xliff to and from the Tolq api format.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'tolq-parsers-xliff'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install tolq-parsers-xliff

## Usage

TODO: Write binary instructions

Currently only parsing _to_ the tolq format is supported.

Example:

```ruby
xliff = File.open("myxliff.xlf", "rb", &:read)
parser = Tolq::Parsers::Xliff::Parser.new(quality: 'standard').parser.parse(xliff)
```

## Development

Pointers:

* Keep in-code documentation up to date, document all public methods, and use YARD
* Write y'r tests
* Keep readme up to date
* Make PRs, not war

TODO

## Todo

Many things are left to do:

* Support multiple xlif 'files'
* Preserve metadata that is not relevant for Tolq
* Support custom options like callback url, context, name, and so on
* Deal with existing translations if any
* Write a proper binary
* Support unparsing from tolq format back to Xliff

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/tolq/parsers/xliff. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

